## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XResultTreeFragAllocator Class Reference

`#include <XResultTreeFragAllocator.hpp>`

Collaboration diagram for XResultTreeFragAllocator:

[legend]
List of all members.

## Public Types

- typedef XResultTreeFrag data_type
- typedef ReusableArenaAllocator<
  data_type> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XResultTreeFragAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XResultTreeFragAllocator ()
- data_type* create (XalanDocumentFragment &theValue)
    Create an XResultTreeFrag object. More...
- data_type* create (const data_type &theSource)
    Create an XResultTreeFrag object. More...
- data_type* clone (const XResultTreeFrag &theSource)
    Clone an XResultTreeFrag object. More...
- bool destroy (data_type *theObject)
    Delete an XResultTreeFrag object from allocator. More...
- bool ownsObject (const data_type *theObject)
    Determine if an object is owned by the allocator... More...
- void reset ()
    Delete all XResultTreeFrag objects from allocator. More...
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated. More...

## Member Typedef Documentation

typedef ReusableArenaAllocator< data_type > XResultTreeFragAllocator::ArenaAllocatorType<data_type>

typedef XResultTreeFrag XResultTreeFragAllocator::data_type

typedef ArenaAllocatorType::size_type XResultTreeFragAllocator::size_type

## Constructor & Destructor Documentation

XResultTreeFragAllocator::XResultTreeFragAllocator ( | MemoryManagerType & theManager,
| size_type theBlockCount )

  | Construct an instance that will allocate blocks of the specified size. Parameters:
  theBlockSize | The block size.

XResultTreeFragAllocator::~XResultTreeFragAllocator ( | )

## Member Function Documentation

data_type * XResultTreeFragAllocator::clone ( | const XResultTreeFrag & theSource )

  | Clone an XResultTreeFrag object. Parameters:
  theSource | source XResultTreeFrag
Returns: pointer to an XResultTreeFrag

data_type * XResultTreeFragAllocator::create ( | const data_type & theSource )

  | Create an XResultTreeFrag object. Parameters:
  theSource | source XResultTreeFrag
Returns: pointer to a node

data_type * XResultTreeFragAllocator::create ( | XalanDocumentFragment & theValue )

  | Create an XResultTreeFrag object. Parameters:
  theValue | source value
Returns: pointer to a node

bool XResultTreeFragAllocator::destroy ( | data_type * theObject )

| Delete an XResultTreeFrag object from allocator.

size_type XResultTreeFragAllocator::getBlockCount ( | ) const

| Get size of an ArenaBlock, that is, the number of objects in each block. Returns: The size of the block

size_type XResultTreeFragAllocator::getBlockSize ( | ) const

| Get the number of ArenaBlocks currently allocated. Returns: The number of blocks.

bool XResultTreeFragAllocator::ownsObject ( | const data_type * theObject )

| Determine if an object is owned by the allocator...

void XResultTreeFragAllocator::reset ( | )

| Delete all XResultTreeFrag objects from allocator.

The documentation for this class was generated from the following file:

- XResultTreeFragAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.